unit DBTreeviewDemoMain;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, DB, DBTables, ExtCtrls, DBCtrls, ComCtrls, GTroDBTreeView, FMTBcd,
  SqlExpr, StdCtrls, ADODB, Grids, DBGrids, ToolWin;

type
  TForm1 = class(TForm)
    DBTV: TGtroDBTreeView;
    DataSource: TDataSource;
    Table: TADOTable;
    Memo: TDBMemo;
    ToolBar1: TToolBar;
    DBNavigator: TDBNavigator;
    procedure FormCreate(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.FormCreate(Sender: TObject);
begin
  Table.ConnectionString:= 'Provider=Microsoft.Jet.OLEDB.4.0;' +
    'Data Source=' + ExtractFilePath(Application.ExeName) + 'DBTreeviewDemo.mdb;' +
    'Persist Security Info=False';
  Table.Open;
end;

procedure TForm1.FormDestroy(Sender: TObject);
begin
  Table.Close;
end;

end.
